/*---------------------------------------------------------------------------------
Html2Xml est une fonction Javascript qui permet de transformer les valeurs saisies
dans une page HTML en XML avant envoi au serveur
-----------------------------------------------------------------------------------

 Copyright (C) 2002-2004 Thierry Seunevel 
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
	
Pour toute question, observation, feed-back sur ce programme, contacter :

tseunevel@seusoft.com
-----------------------------------------------------------------------------------*/ 


function leftFill(num) {
	return "" + ((num < 10) ? "0" : "") + num;
}
function bif(sFunct) {
	if (sFunct == "%DATE") {
		today = new Date();
		return leftFill(today.getDate()) + leftFill(today.getMonth()+1) + leftFill(today.getYear()).substring(2);
	}
	if (sFunct == "%TIME") {
		today = new Date();
		return leftFill(today.getHours()) + leftFill(today.getMinutes());
	}	
}

function computeXML(theForm) {
  var elm="";
	var formX = document.forms[0];
	var nbe=0;
	for (i=0; i<formX.elements.length; i++) {
		if (formX.elements[i].name=="XMLVersion")
			var txt = "<" + formX.XMLVersion.value + ">\n";
		else if (formX.elements[i].name=="ELEMENT")
			nbe = nbe + 1;
	}
	elm = new Array(nbe-1);
	var j=0;
	for (i=0; i<formX.elements.length; i++) {
		if (formX.elements[i].name=="ELEMENT") {
			elm[j++]=formX.elements[i].value;
			txt = txt + "<" + formX.elements[i].value + ">\n";	
			}
		}
	for (i=0 ; i< document.forms.length ; i++) {
		var formX = document.forms[i];
		var formN = formX.name;
		if (formN.substring(0,1) != "_") {
			j = formN.indexOf("__");
			if (j > 0) formN = formN.substring(0,j);
			var attr = ""; 
			var elmts = "";
			for (j=0 ; j<formX.elements.length ; j++) {
				var elmName = formX.elements[j].name; 
				if (elmName.substring(0,1) != "_") {
					var val = formX.elements[j].value.toUpperCase();
					if (val.substring(0,1) == "%") val=bif(val);
					if (val.substring(0,1) == "?") {
						toDo = formX.elements[j].value.substring(1);
						val = eval(toDo);}				
					if (val != "") 	{
						if (elmName.substring(0,1) == "@") attr +=  " " + elmName.substring(1) + "=\"" + val + "\"";
						else elmts += "<" + elmName + ">" + val + "</" + elmName +">\n";
					}
				}
			}
			if (attr != "" || elmts != "") {
				txt +=  "<" + formN + attr;
				if (elmts != "")	txt += ">\n" + elmts + "</" + formN + ">\n";
				else txt += "/>\n";
			}
		}
	}
	for (j=nbe-1 ; j>=0 ; j--) txt +=  "</" + elm[j] + ">\n";
	document._FormFin.xml.value = txt;
	return true;
}

